Include "TBEMS_SDK.bb"
TBEMSStart(1)
TBEMSGameEventType=3

Function StartSplash(logo$,info1$,info2$)
	If info1$<>""
		AppTitle info1$,"Exit "+info1$+" ?"
	EndIf
	
	FlushKeys()
	
	mode_cnt=CountGfxModes3D()
	If Not mode_cnt RuntimeError "Can't find any 3D graphics modes"
	
	mode=0	
	If Not Windowed3D() mode=1
	
	screenwidth = 800
	screenheight = 600
	screendepth = 32
	
	Graphics screenwidth,screenheight,screendepth,2
	SetBuffer BackBuffer()
	
	image=LoadImage( logo$ )
	If Not image image=LoadImage( logo$ )
	MidHandle image
	
	;font=LoadFont( "verdana",16 )
	;SetFont font
	
	tx=screenwidth +160
	nx=-160
	ty=280
	
	url$="tournamentblitz.hpquest.com"
	url_x=screenwidth-StringWidth( url$ )
	url_y=screenheight-FontHeight()

	Repeat
		Cls
		
		DrawBlock image,screenwidth/2,144
					
		Color 0,255,0
		

		Text tx,ty+FontHeight()*0,info1$,True
		Text nx,ty+FontHeight()*1,info2$,True
		
		Text tx-32,ty+FontHeight()*3,"Username:"+TBEMSSessionUname,False
		Text nx-32,ty+FontHeight()*4,"Password:"+String$ ("*",Len(TBEMSSessionPass) ),False
		
		Select getusernamepassword
			Case 0: ;username
				char$=rInput$(Nil$)
				If char<>Chr(13) 
					TBEMSSessionUname=TBEMSSessionUname+char
				Else 
					getusernamepassword=1
				EndIf	
 			Case 1: ;password
				char=rInput$(Nil$)
				If char$<>Chr(13)
					TBEMSSessionPass=TBEMSSessionPass+char
				Else 
					TBEMSList()
					If TBEMSSessionActive<>TBEMS_RESPONSE_OK
						FlushKeys()
						TBEMSSessionUname=Nil$
						TBEMSSessionPass=Nil$
						getusernamepassword=0
					EndIf
				EndIf
		End Select
		
		
		Color 255,255,255
		If mode=0
			Text tx,ty+FontHeight()*6,"Windowed",True
		Else
			Text tx,ty+FontHeight()*6,GfxModeWidth( mode )+","+GfxModeHeight( mode )+","+GfxModeDepth( mode ),True
		EndIf
		
		Color 255,0,0

		Text tx,ty+FontHeight()*8,"[Arrows] change mode",True
		Text nx,ty+FontHeight()*9,"[Escape] to exit",True
		
		Color 0,0,255
		Text url_x,url_y,url$
		
		If KeyHit( 1 ) End
		If TBEMSSessionActive=TBEMS_RESPONSE_OK
			Cls:Flip
			Cls:Flip
			;FreeFont font
			FreeImage image
			EndGraphics
			If mode
				Graphics3D GfxModeWidth(mode),GfxModeHeight(mode),GfxModeDepth(mode),1
			Else
				Graphics3D screenwidth,screenheight,0,2
			EndIf
			SetBuffer BackBuffer()
			Return
		EndIf
		If KeyHit( 203 )
			mode=mode-1
			If mode<0 Or (mode=0 And (Not Windowed3D()))
				mode=mode_cnt
			EndIf
		Else If KeyHit( 205 )
			mode=mode+1
			If mode>mode_cnt
				mode=0
				If Not Windowed3D() mode=1
			EndIf
		EndIf
		
		If tx>screenwidth/2 tx=tx-8
		If nx<screenwidth/2 nx=nx+8
		
		Flip
		
	Forever
	
End Function

Function rInput$(aString$)
value = GetKey()
length = Len(aString$)
If value = 8 Then value = 0 
If length > 0 Then aString$ = Left$(aString,Length-1)
;If value = 13 Then Return aString$
If value = 0 Then Return aString$
If value>0 And value<7 Or value>26 And value<32 Or value=9 Then Return aString$
aString$=aString$ + Chr$(value)
Return aString$
End Function